<?php

/**
 * Registers the new options in Extensions
 * 
 * @package     MASHSU
 * @subpackage  Admin/Settings
 * @access      private
 * @since       1.0
 * @param 	$settings array the existing plugin settings
 * @return      array
*/

function mashsu_extension_settings( $settings ) {

	$ext_settings = array(
		array(
			'id' => 'shorturl_header',
			'name' => '<strong>' . __( 'Twitter Short URL Settings', 'mashsu' ) . '</strong>',
			'desc' => '',
			'type' => 'header',
			'size' => 'regular'
		),
                array(
			'id' => 'bitly_access_token',
			'name' => __( 'Bitly access token', 'mashsu' ),
			'desc' => __('Important: If you like to use bitly.com shortener get a free bitly access token <a href="https://bitly.com/a/oauth_apps" target="_blank">here</a>. This turn urls into a format like http://bit.ly/cXnjsh. ' , 'mashsu' ),
			'type' => 'text',
                        'size' => 'large'
		),
		array(
			'id' => 'google_app_id',
			'name' => __( 'Google API Key (goo.gl)', 'mashsu' ),
			'desc' => __('Important: If you like to use goo.gl shortener get a free Google API key <a href="https://console.developers.google.com/" target="_blank">here</a>. This turn urls into a format like http://goo.gl/cXnjsh. ' . mashsuCheckAPIkey() , 'mashsu' ),
			'type' => 'text',
                        'size' => 'large'
		),
                /*array(
			'id' => 'mashsu_wpurls', 
			'name' => __( 'Use WP Shortlinks', 'mashsu' ),
			'desc' => __( 'Check this box if you like to use the Wordpress build in short link function. This results in urls like http://yourwebsite.com/p=1234.', 'mashsu' ),
			'type' => 'checkbox'
		),*/
                array(
                        'id' => 'mashsu_methods',
                        'name' => __('Shortlink method', 'mashsu'),
                        'desc' => mashsu_return_bitly_warning(),
                        'type' => 'select',
                        'options' => array(
                            'wpshortlinks' => 'WP Short links',
                            'bitly' => 'Bitly',
                            'google' => 'Google',
                            )
                ),
                array(
			'id' => 'mashsu_expiration',
			'name' => __( 'Cache expiration (Advanced)', 'mashsu' ),
			'desc' => __('Specify the cache expiration time of the generated short url\'s in seconds. Short url\'s wil be recreated when this time exceeds during page load. Usually you never have to change that value! <strong>Default: </strong>31.536.000 sec. (1 Year)', 'mashsu' ),
			'type' => 'number',
                        'size' => 'medium'
		),
	);

	return array_merge( $settings, $ext_settings );

}
add_filter('mashsb_settings_extension', 'mashsu_extension_settings');