<?php
/**
 * Scripts
 *
 * @package     MASHSU
 * @subpackage  Functions
 * @copyright   Copyright (c) 2014, René Hermenau
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.0.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Load Scripts 
 *
 * Enqueues the required scripts.
 *
 * @since 1.0.0
 * @global $mashsu_options
 * @global $post
 * @return void
 */
function mashsu_load_scripts($hook) {
    global $post;
    $url = '';
    if ( isset($post) )
        $url = get_permalink($post->ID);
    
        if(function_exists('mashsbGetActiveStatus')){
            if ( ! apply_filters( 'mashsu_load_scripts', mashsbGetActiveStatus(), $hook ) ) {
                return;
            }
        }
    
	global $mashsb_options;
}
add_action( 'wp_enqueue_scripts', 'mashsu_load_scripts', 10 );